## ros-eloquent-rmw-connext-shared-cpp 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmw_connext_shared_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(connext_cmake_module REQUIRED)
find_package(Connext QUIET MODULE)
if(Connext_FOUND)
  find_package(Connext MODULE)
endif()
if(NOT Connext_FOUND)
  ament_package()
  message(WARNING "Could not find RTI Connext - skipping '${PROJECT_NAME}'")
  return()
endif()
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)

include_directories(include)

ament_export_include_directories(include)

ament_export_dependencies(rmw)

link_directories(${Connext_LIBRARY_DIRS})
add_library(
  rmw_connext_shared_cpp
  SHARED
  src/condition_error.cpp
  src/count.cpp
  src/demangle.cpp
  src/event.cpp
  src/event_converter.cpp
  src/guard_condition.cpp
  src/init.cpp
  src/namespace_prefix.cpp
  src/node.cpp
  src/node_names.cpp
  src/qos.cpp
  src/names_and_types_helpers.cpp
  src/node_info_and_types.cpp
  src/service_names_and_types.cpp
  src/topic_names_and_types.cpp
  src/trigger_guard_condition.cpp
  src/wait_set.cpp
  src/types/custom_data_reader_listener.cpp
  src/types/custom_publisher_listener.cpp
  src/types/custom_subscriber_listener.cpp)
ament_target_dependencies(rmw_connext_shared_cpp
  "rcpputils"
  "rcutils"
  "rmw"
  "Connext")
ament_export_libraries(rmw_connext_shared_cpp)

if(WIN32)
  # Causes the visibility macros to use dllexport rather than dllimport
  # which is appropriate when building the dll but not consuming it.
  target_compile_definitions(rmw_connext_shared_cpp
    PRIVATE "RMW_CONNEXT_SHARED_CPP_BUILDING_DLL"
            "_CRT_NONSTDC_NO_DEPRECATE")
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS ${rmw_INCLUDE_DIRS})
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "rmw_connext_shared_cpp-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_connext_shared_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-eloquent-rmw-connext-shared-cpp (0.8.2-1bionic) bionic; urgency=high

  * Update maintainers (#468 <https://github.com/ros2/rmw_connext/issues/468>) (#471 <https://github.com/ros2/rmw_connext/issues/471>)
  * avoid using build time Connext library paths, determine them when downstream packages are built (#385 <https://github.com/ros2/rmw_connext/issues/385>) (#433 <https://github.com/ros2/rmw_connext/issues/433>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.8.1-1bionic) bionic; urgency=high

  * Support localhost only communication (#373 <https://github.com/ros2/rmw_connext/issues/373>)
  * update logic / patches to optionally support Connext 6 (#374 <https://github.com/ros2/rmw_connext/issues/374>)
  * Contributors: Brian Marchi, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.8.0-1bionic) bionic; urgency=high

  * Return specific error when not finding a node name (#365 <https://github.com/ros2/rmw_connext/issues/365>)
  * Add function for getting clients by node (#361 <https://github.com/ros2/rmw_connext/issues/361>)
  * Use rpputils::find_and_replace instead of std::regex_replace (#359 <https://github.com/ros2/rmw_connext/issues/359>)
  * Implement get_actual_qos() for subscriptions (#358 <https://github.com/ros2/rmw_connext/issues/358>)
  * Contributors: Jacob Perron, M. M, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.7.2-1bionic) bionic; urgency=high

  * Include 'srv' in service type namespace. (#356 <https://github.com/ros2/rmw_connext/issues/356>)
  * Contributors: Michael Carroll, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.7.1-1bionic) bionic; urgency=high

  * Combine package name with type namespace in type support struct (#354 <https://github.com/ros2/rmw_connext/issues/354>)
  * Implement QoS: liveliness, deadline, lifespan (#352 <https://github.com/ros2/rmw_connext/issues/352>)
  * Contributors: Devin Bonnie, Jacob Perron, Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.7.0-1bionic) bionic; urgency=high

  * Add rmw includes to cppcheck (#348 <https://github.com/ros2/rmw_connext/issues/348>)
  * pass context to wait set and fini context (#343 <https://github.com/ros2/rmw_connext/issues/343>)
  * Use narrow to downcast to a type specific datareader (#339 <https://github.com/ros2/rmw_connext/issues/339>)
  * deduplicate code (#312 <https://github.com/ros2/rmw_connext/issues/312>)
  * Don't use DURATION_INFINITE, it is a RTI specific type (#335 <https://github.com/ros2/rmw_connext/issues/335>)
  * Make use of DDS namespace instead of DDS_ prefixed versions in global namespace (#328 <https://github.com/ros2/rmw_connext/issues/328>)
  * Directly assing mw_ret_t on declaring it and removed some mw_ret_t intermediate values which are not required (#321 <https://github.com/ros2/rmw_connext/issues/321>)
  * No need to use strcmp, we can compare a std::string with operator== t… (#320 <https://github.com/ros2/rmw_connext/issues/320>)
  * No need for DDS_InstanceStateKind scoping (#319 <https://github.com/ros2/rmw_connext/issues/319>)
  * Use empty() to check for an empty string (#317 <https://github.com/ros2/rmw_connext/issues/317>)
  * Use empty() instead of size() to check whether we have elements in th… (#316 <https://github.com/ros2/rmw_connext/issues/316>)
  * Fixed typo in comment (#315 <https://github.com/ros2/rmw_connext/issues/315>)
  * Contributors: Johnny Willemsen, Shane Loretz, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.6.1-1bionic) bionic; urgency=high

  * Adds missing RMW_CONNEXT_SHARED_CPP_PUBLIC (#314 <https://github.com/ros2/rmw_connext/issues/314>)
  * Node graph impl (#313 <https://github.com/ros2/rmw_connext/issues/313>)
  * reduce verbosity when Connext is not available (#311 <https://github.com/ros2/rmw_connext/issues/311>)
  * Contributors: Dirk Thomas, Ross Desmond, Thomas Moulard

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.6.0-1bionic) bionic; urgency=high

  * use new error handling API from rcutils (#306 <https://github.com/ros2/rmw_connext/issues/306>)
  * Add semicolons to all RCLCPP and RCUTILS macros. (#304 <https://github.com/ros2/rmw_connext/issues/304>)
  * separating identity and permission CAs (#301 <https://github.com/ros2/rmw_connext/issues/301>)
  * Include node namespaces in get_node_names (#299 <https://github.com/ros2/rmw_connext/issues/299>)
  * Contributors: Chris Lalancette, Michael Carroll, Mikael Arguedas, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.5.1-1bionic) bionic; urgency=high

  * update maintainer
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-rmw-connext-shared-cpp (0.5.0-1bionic) bionic; urgency=high

  * Use key rti-connext-dds-5.3.1 as package key name for connext. (#294 <https://github.com/ros2/rmw_connext/issues/294>)
  * update usage of rcutils_join_path() (#290 <https://github.com/ros2/rmw_connext/issues/290>)
  * Remove topic partitions (#285 <https://github.com/ros2/rmw_connext/issues/285>)
  * Disable non-standard TypeCode (#288 <https://github.com/ros2/rmw_connext/issues/288>)
  * Merge pull request #287 <https://github.com/ros2/rmw_connext/issues/287> from ros2/misra_fixup
  * Merge pull request #276 <https://github.com/ros2/rmw_connext/issues/276> from ros2/node_name_in_user_data


=== debian/control ===
Source: ros-eloquent-rmw-connext-shared-cpp
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-connext-cmake-module, ros-eloquent-rcpputils, ros-eloquent-rcutils, ros-eloquent-rmw, ros-eloquent-rosidl-cmake, rti-connext-dds-5.3.1, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rmw-connext-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-cmake, ros-eloquent-connext-cmake-module, rti-connext-dds-5.3.1, ros-eloquent-ros-workspace
Description: C++ types and functions shared by the ROS middleware interface to RTI Connext Static and RTI Connext Dynamic.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rmw-connext-shared-cpp//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
